%define upstream_name    Net-Twitter
%define upstream_version 4.00007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A perl interface to the Twitter API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Crypt::SSLeay) >= 0.500.0
BuildRequires: perl(Data::Visitor::Callback)
BuildRequires: perl(DateTime) >= 0.510.0
BuildRequires: perl(DateTime::Format::Strptime) >= 1.90.0
BuildRequires: perl(Devel::StackTrace) >= 1.210.0
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent) >= 2.32.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose) >= 0.900.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Aliases)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Net::Netrc)
BuildRequires: perl(Net::OAuth) >= 0.250.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny) >= 0.30.0
BuildRequires: perl(URI) >= 1.400.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

%description
This module provides a perl interface to the Twitter APIs. See
<http://dev.twitter.com/doc> for a full description of the Twitter
APIs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.0.70-2.mga4
+ Revision: 531949
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 4.0.70-1.mga4
+ Revision: 465935
- update to 4.00007

* Tue Aug 06 2013 mcb30 <mcb30> 4.0.60-1.mga4
+ Revision: 464179
- Updated to version 4.00006 (old version no longer works due to API change)

* Sun Jan 13 2013 umeabot <umeabot> 3.180.40-2.mga3
+ Revision: 370955
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 jquelin <jquelin> 3.180.40-1.mga3
+ Revision: 307574
- update to 3.18004

* Wed Jul 04 2012 jquelin <jquelin> 3.180.30-1.mga3
+ Revision: 267448
- update to 3.18003

* Tue Jun 05 2012 jquelin <jquelin> 3.180.20-1.mga3
+ Revision: 255242
- update to 3.18002

* Thu Oct 13 2011 jquelin <jquelin> 3.180.10-1.mga2
+ Revision: 154410
- update to 3.18001

* Mon Apr 04 2011 kharec <kharec> 3.170.10-1.mga1
+ Revision: 80504
- update to new version

* Wed Mar 30 2011 kharec <kharec> 3.170.0-1.mga1
+ Revision: 79062
- add a BR on MoosX::Role::Parameterized
- new version 3.17

* Mon Mar 28 2011 jquelin <jquelin> 3.160.0-1.mga1
+ Revision: 78399
- adding missing buildrequires:

  + kharec <kharec>
    - new version

* Sat Feb 26 2011 jquelin <jquelin> 3.150.0-1.mga1
+ Revision: 60251
- update to 3.15000
- update to 3.14003

* Tue Jan 25 2011 jquelin <jquelin> 3.140.20-1.mga1
+ Revision: 38669
- mageia rebuild
- imported package perl-Net-Twitter

